%global pkg_name        Devel-PPPort
%global pkg_version     3.13
%global rpm_pkg_version 3.13
%global rpm_pkg_release 1.n0i.3

Summary:       Portability aid for your XS code
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MH/MHX/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Perl's API has changed over time, gaining new features, new functions,
increasing its flexibility, and reducing the impact on the C namespace
environment (reduced pollution).
The header file written by this module, typically "ppport.h", attempts
to bring some of the newer Perl API features to older versions of Perl,
so that you can worry less about keeping track of old releases, but
users can still reap the benefit.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes HACKERS README TODO


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0:3.13-1.n0i.3
- version 3.13

* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 0:3.12-1.n0i.2
- version 3.12

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:3.11-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 3.11
